org.sunflow.system

## Enum UI.PrintLevel

- java.lang.Object
- - java.lang.Enum<UI.PrintLevel>
  - - org.sunflow.system.UI.PrintLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UI.PrintLevel>

Enclosing class:
  UI

    public static enum UI.PrintLevel
    extends java.lang.Enum<UI.PrintLevel>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DETAIL`
`ERROR`
`INFO`
`WARN`

### Method Summary

Methods
`static UI.PrintLevel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UI.PrintLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ERROR

    public static final UI.PrintLevel ERROR

#### WARN

    public static final UI.PrintLevel WARN

#### INFO

    public static final UI.PrintLevel INFO

#### DETAIL

    public static final UI.PrintLevel DETAIL

### Method Detail

#### values

    public static UI.PrintLevel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UI.PrintLevel c : UI.PrintLevel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UI.PrintLevel valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null